slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGRingGetParameters

Gets the parameters that define the ring region.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGRingGetParameters(RG rg,PetscScalar *center,PetscReal *radius,PetscReal *vscale,PetscReal *start_ang,PetscReal *end_ang,PetscReal *width)

Not Collective

### Input Parameter

| rg | - the region context

### Output Parameters

| center | - center of the region
| radius | - radius of the region
| vscale | - vertical scale of the region
| start_ang | - the right-hand side angle
| end_ang | - the left-hand side angle
| width | - width of the ring

### See Also

RGRingSetParameters()

### Level

advanced

### Location

src/sys/classes/rg/impls/ring/rgring.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages